<?php

include('conexion.php');

$fecha_inicio = $_POST['fecha_inicio'];
$fecha_final  = $_POST['fecha_final'];

$alumnosLista = $conexion->query("SELECT * FROM alumnos WHERE fecha_ingreso BETWEEN '{$fecha_inicio}' AND '{$fecha_final}'"); 


echo '<table style="width:100%">
  <thead class="bg-primary">
    <th>Nombre</th>
    <th>Grupo</th> 
    <th>Carrera</th>
    <th>Fecha Ingreso</th>
  </th>
  </thead>
  <tbody>';

while($alumno = $alumnosLista->fetch(PDO::FETCH_ASSOC))
{
	echo '<tr> 
			<td>'.$alumno['nombre'].'</td>
			<td>'.$alumno['grupo'].'</td>
			<td>'.$alumno['carrera'].'</td>
			<td>'.$alumno['fecha_ingreso'].'</td>
		</tr>';

}

echo '</tbody> </table>'; 

?>